The fractional scaling toggle applies instantly and not when "Apply" is pressed

Bug #1876891 reported by Iain Lane on 2020-05-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Low
Marco Trevisan (Treviño)
Focal
Low
Marco Trevisan (Treviño)

Bug Description

* Impact

The fractional scaling toggle applies instantly and not when "Apply" is pressed

* Test Case

Do this when in an Xorg/Ubuntu session:

0. Have fractional scaling disabled and set to 100%
1. Go to gnome-control-center -> displays
2. Turn on the fractional scaling toggle
3. Select 125%
4. Press apply (the scaling should apply correctly)
5. Turn off the toggle
6. Turn the toggle back on

At 5 and 6, the scaling changes. It shouldn't - this should only happen when you press 'Apply'. The toggle needs to not be directly connected to GSettings.

* Regression potential

Check that screen settings changed are correctly applied and only when clicking the corresponding button

------------------------

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: gnome-control-center 1:3.36.1-1ubuntu5
ProcVersionSignature: Ubuntu 5.4.0-28.32-generic 5.4.30
Uname: Linux 5.4.0-28-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: GNOME
Date: Tue May 5 10:35:48 2020
InstallationDate: Installed on 2012-10-07 (2766 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Beta amd64 (20121007)
SourcePackage: gnome-control-center
UpgradeStatus: Upgraded to focal on 2020-01-16 (109 days ago)

Iain Lane (laney) wrote :
tags: added: rls-ff-incoming
summary: - The fractional scaling toggle applies instantly
+ The fractional scaling toggle applies instantly and not when "Apply" is
+ pressed
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-control-center (Ubuntu Focal):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-control-center (Ubuntu):
importance: Undecided → Low
Changed in gnome-control-center (Ubuntu Focal):
importance: Undecided → Low
status: New → Triaged
Changed in gnome-control-center (Ubuntu):
status: New → Triaged
assignee: Marco Trevisan (Treviño) (3v1n0) → Robert Ancell (robert-ancell)
Changed in gnome-control-center (Ubuntu Focal):
assignee: Marco Trevisan (Treviño) (3v1n0) → Robert Ancell (robert-ancell)
tags: removed: rls-ff-incoming

So, as per discussion we could:
 - Make the toggle not to work immediately on changing the setting, but:
   - Use it to toggle a filter of valid scaled values passed from mutter

Iain's pseudo-code https://paste.ubuntu.com/p/PXVTjQj592/

Doing such change should also handle lp:1876894

tags: added: xrandr-scaling
Changed in gnome-control-center (Ubuntu):
assignee: Robert Ancell (robert-ancell) → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-control-center (Ubuntu Focal):
assignee: Robert Ancell (robert-ancell) → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-control-center (Ubuntu):
status: Triaged → In Progress
Changed in gnome-control-center (Ubuntu Focal):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.36.3-1ubuntu1

---------------
gnome-control-center (1:3.36.3-1ubuntu1) groovy; urgency=medium

  * New upstream version rebased on Debian (lp: #1884063)

  [ Gunnar Hjalmarsson ]
  * debian/patches/0030-temporarily-revert-alt-char-key.patch:
    - Change po/POTFILES.in too, so dh_translations can create
      gnome-control-center-2.0.pot.
  * d/p/0015-connectivity-add-network-connectivity-checking-toggl.patch:
    - Add "privacy" to Keywords in the .desktop file in line with
      https://gitlab.gnome.org/GNOME/gnome-control-center/-/commit/05f3cb67
      (LP: #1869288)

  [ Marco Trevisan (Treviño) ]
  * d/p/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - Ensure dock position is respected in RTL (LP: #1876937)
    - Add proper matching the dock monitor ID (LP: #1877108)
  * d/p/0024-display-Allow-fractional-scaling-to-be-enabled.patch:
    - Improve fractional scaling toggling (LP: #1876891, #1876894)
    - Look for proper fractional scaling key in Wayland and X11 (LP: #1871864)
  * d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch:
    - Don't make flowbox children selectable (LP: #1877441)

 -- Sebastien Bacher <email address hidden> Thu, 18 Jun 2020 13:44:56 +0200

Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Released
description: updated

Hello Iain, or anyone else affected,

Accepted gnome-control-center into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.36.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-control-center (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Sebastien Bacher (seb128) wrote :

Testing 1:3.36.3-0ubuntu1 the toggle doesn't trigger the action and the user needs to press apply as expected, marked as verified

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.36.3-0ubuntu1

---------------
gnome-control-center (1:3.36.3-0ubuntu1) focal; urgency=medium

  * New stable version (lp: #1884063)

  [ Gunnar Hjalmarsson ]
  * debian/patches/0030-temporarily-revert-alt-char-key.patch:
    - Change po/POTFILES.in too, so dh_translations can create
      gnome-control-center-2.0.pot.

  [ Marco Trevisan (Treviño) ]
  * d/p/0008-Allow-tweaking-some-settings-for-Ubuntu-Dock.patch:
    - Ensure dock position is respected in RTL (LP: #1876937)
    - Add proper matching the dock monitor ID (LP: #1877108)
  * d/p/0024-display-Allow-fractional-scaling-to-be-enabled.patch:
    - Improve fractional scaling toggling (LP: #1876891, #1876894)
    - Look for proper fractional scaling key in Wayland and X11 (LP: #1871864)
  * d/p/0031-fingerprint-dialog-Don-t-limit-the-number-of-maximum.patch:
    - Don't make flowbox children selectable (LP: #1877441)

 -- Sebastien Bacher <email address hidden> Tue, 23 Jun 2020 17:50:27 +0200

Changed in gnome-control-center (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-control-center has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers